name: field.blocks.mainpage_navitem.name
label: "{{obj.headline}}"
preview: fields # required
wysiwyg: true # recommended
fields:
  obj:
    label: Information
    type: object
    fields:
      photo:
        extends: fields/globalimage
      headline:
        label: Headline
        type: text
      btn_label:
        label:
          de: Button-Beschriftung
          en: Button label
        type: text
      linkedPage:
        type: pages
        label:
          de: Verlinkte Unterseite
          en: Linked subpage
        query: page.childrenAndDrafts.filterBy('intendedTemplate', 'type-button-based-sub')
